Page MenuHomePhabricator

Validation and error display for mustache form
Closed, ResolvedPublic2 Story Points

Description

The mustache form needs to display errors from the gateway adapter's server-side validation and needs to validate client-side on submit.
Definitely need to validate required fields, currency code and amount. Bonus points for checking that CPF has a reasonable number of digits. If amount or currency code are invalid, the user should be able to correct them.

Event Timeline

Ejegg created this task.May 27 2015, 8:59 PM
Ejegg claimed this task.
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2015, 8:59 PM
Ejegg renamed this task from Validate data in mustache form to Validation and error display for mustache form.May 27 2015, 9:00 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Lou Reed board.
Ejegg set Security to None.
Ejegg edited a custom field.
Ejegg updated the task description. (Show Details)May 27 2015, 9:03 PM

Change 214286 had a related patch set uploaded (by Ejegg):
WIP validate stuff

https://gerrit.wikimedia.org/r/214286

Change 214286 merged by jenkins-bot:
Initial validation for mustache forms

https://gerrit.wikimedia.org/r/214286

Ejegg moved this task from Doing to Done on the Fundraising Sprint Lou Reed board.Jun 4 2015, 10:41 PM
Ejegg closed this task as Resolved.Jun 4 2015, 10:43 PM

Change 216767 had a related patch set uploaded (by Ejegg):
Deal with errors that are arrays

https://gerrit.wikimedia.org/r/216767

Change 216767 merged by jenkins-bot:
Deal with errors that are arrays

https://gerrit.wikimedia.org/r/216767

Change 217564 had a related patch set uploaded (by Ejegg):
Deal with errors that are arrays

https://gerrit.wikimedia.org/r/217564

Change 217564 merged by Ejegg:
Deal with errors that are arrays

https://gerrit.wikimedia.org/r/217564

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 14 2015, 7:15 PM